.icon-text-comp__item {
	display: flex;
	height: 100%;
	flex-direction: row;
	padding: 24px;
}
.icon-text-comp__item--centered {
	align-items: center;
}
.icon-text-comp__item--column {
	flex-direction: column;
}
.icon-text-comp__item-image-wrapper {
	flex-shrink: 0;
	width: 40px;
	height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
}
.icon-text-comp__item-image-picture {
	max-width: 100%;
	max-height: 100%;
	object-fit: cover;
}
.icon-text-comp__item-image-wrapper svg {
	max-width: 100%;
	max-height: 100%;
}
.icon-text-comp__item-text-wrapper {
	display: flex;
	flex-direction: column;
}
.icon-text-comp__item-descr {
	margin-top: 8px;
}

/*.icon-text-comp__items-wrapper.mobile-scrolled {
	display: grid;
}*/

@media screen and (max-width: 940px) {
	.icon-text-comp__item {
		padding: 16px;
	}
}

.scroll-3-grid-col {
	display: grid;
	grid-auto-flow: column;        /* течение «вправо» */
	grid-template-rows: repeat(3, 1fr);
	gap: 12px 16px;
	overflow-x: auto;
	/*scroll-snap-type: x mandatory;*/
	-webkit-overflow-scrolling: touch;
	margin-left:  -16px;
	margin-right: -16px;
	padding: 0 var(--theme-page-width-padding);
}

.scroll-3-grid-col .icon-text-comp__item-wrapper {
	scroll-snap-align: start;
	width: clamp(308px, 45vw, 380px);
}

@media (min-width: 1200px) {
	.scroll-3-grid-col {
		grid-auto-flow: row;
		grid-template-columns: repeat(3, 1fr);
		grid-template-rows: none;
		overflow: visible;
	}
	.scroll-3-grid-col .icon-text-comp__item-wrapper { width: auto; }
}
